1. Task Timer
Astravue docs
  • Welcome to the Astravue API
  • Auth
    • Get Access and Refresh Token
      POST
    • Refresh Access Token
      POST
  • Personal Tasks
    • Get task by ID
      GET
    • Update a task
      PUT
    • Delete a task
      DELETE
    • Get all tasks
      GET
    • Create a task
      POST
  • Spaces
    • Get space by ID
      GET
    • Update a space
      PUT
    • Delete a space
      DELETE
    • Get all spaces
      GET
    • Create a new space
      POST
  • Projects
    • Get project details by ID
    • Update a project
    • Delete a project
    • Get all projects in a space
    • Create a new project
  • Project Tasks
    • Get a project task by ID
    • Update a project task
    • Delete a project task
    • Get all tasks in a project
    • Create a project task
  • Task Timer
    • Get timers for a user in a task
      GET
    • Get active timers for a user
      GET
    • Update a timer
      PUT
    • Stop timer for a task
      PUT
    • Delete a timer entry
      DELETE
    • Start timer for a personal task
      POST
    • Add a time range entry for a personal task
      POST
    • Add manual time entry for a personal task
      POST
    • Start timer for a project task
      POST
    • Add range timer for a project task
      POST
    • Add manual time entry for a project task
      POST
    • Get global timesheet report
      GET
    • Get project timesheet
      GET
    • Get project timesheet summary
      GET
  • Task Comments
    • Get comments for a task
  • Project Subtasks
    • Get all subtasks for a project task
  • Personal Subtasks
    • Get all subtasks for a personal task
  • Tasks Checklist
    • Get all checklists for a subtask
    • Get all checklists for a parent task
  • Schemas
    • Schemas
      • ApiError
      • TimerData
      • NotificationReadResponseDto
      • FieldError
      • TimerUpdateRequest
      • NotificationDto
      • ApiSuccessResponseListTaskCheckListDto
      • TimeTrackerDto
      • TaskCommentDto
      • TaskCheckListDto
      • TaskListResponse
      • TaskUpdateRequest
      • NotificationDeleteRequestDto
      • ApiSuccessResponseTaskDto
      • TimerRequest
      • NotificationDeleteResponseDto
      • ApiSuccessResponseListTaskCommentDto
      • CustomFieldOptionDto
      • RangeTimerRequest
      • ApiSuccessResponseSubtaskListResponse
      • OrgRoleDto
      • ManualTimerRequest
      • SubtaskListResponse
      • TaskCustomFieldDto
      • TaskTimerResponseDto
      • TaskDependencyDto
      • TaskDto
      • TaskFieldValue
      • TaskPriorityDto
      • TaskResponseDto
      • TaskStatusDto
      • TaskTagDto
      • UserDisplayDto
      • SpaceUpdateRequest
      • ApiSuccessResponseSpaceDto
      • SpaceDto
      • SpaceMemberDto
      • SpaceRoleDto
      • ProjectUpdateRequest
      • AccountLabelDto
      • ApiSuccessResponseProjectDto
      • ContactDto
      • ContactProperties
      • ContactTagDto
      • ProjectDto
      • ProjectHealthDto
      • ProjectMemberDto
      • ProjectPriorityDto
      • ProjectRoleDto
      • ProjectStatusDto
      • ProjectTagDto
      • ProjectTaskUpdateRequest
      • AppDto
      • ResponseFormat
      • OrgMemberDto
      • UserPreference
      • UserPreferenceProperties
      • PasswordUpdateDto
      • UserDetailDto
      • MemberPreferenceDto
      • WidgetProperties
      • TimeMapDto
      • TaskStatusTemplateDto
      • DefaultProjectTaskStatusesTemplateDto
      • EmailContent
      • AttachmentDto
      • ReminderModeDto
      • TaskReminderDto
      • DailyRecurrenceSettings
      • DaysAfterRecurrenceSettings
      • FieldsToInclude
      • MonthlyRecurrenceSettings
      • TaskRecurrenceDto
      • WeeklyRecurrenceSettings
      • YearlyRecurrenceSettings
      • TaskListDto
      • OrganizationDto
      • Address
      • BillingAndAccountInfo
      • Filter
      • FilterList
      • FilterViewDto
      • CalendarEvent
      • EventReminder
      • ContactNotesDto
      • ColumnPreferenceDto
      • ColumnPreferenceProperties
      • AccountDto
      • AccountTagDto
      • ContactLabelDto
      • TaskCreateRequest
      • SpaceCreateRequest
      • ProjectCreateRequest
      • ProjectTaskCreateRequest
      • FileUploadDto
      • GlobalTaskStatusesTemplateDto
      • PasswordResetDto
      • UserDto
      • InviteUserDto
      • UserActivity
      • UserActivityKey
      • ApiSuccessResponseTaskListResponse
      • ApiSuccessResponseProjectListResponse
      • ApiSuccessResponseListSpaceDto
      • ProjectListResponse
      • ApiSuccessResponseObject
      • BackupUserActivity
    • TimesheetReportResponse
    • ProjectTimesheetResponse
  1. Task Timer

Get global timesheet report

Developing
GET
https://api.astravue.com/v1/time-track/reports/global
Fetches a paginated global timesheet report grouped by PROJECT or MEMBER. Returns hierarchical data: when grouped by PROJECT -> members -> tasks; when grouped by MEMBER -> projects -> tasks. Includes billable/non-billable time, total time, and billable cost for each level.
Authorization: Requires Project Admin role. Returns 403 Forbidden if the user is not an admin of any project.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200OK
application/json
Global timesheet report fetched successfully
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.astravue.com/v1/time-track/reports/global?groupBy&startDate&endDate&page&size&searchCriteria' \
--header 'X-Org-Id;' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "items": [
        {}
    ],
    "totalCount": 25,
    "page": 0,
    "size": 20,
    "totalPages": 2,
    "hasNext": true,
    "hasPrevious": false
}
Previous
Add manual time entry for a project task
Next
Get project timesheet
Built with